local HouseAddition = ...

-- Register the monument for manual setup
function registerSubBuilding(_suffix, _assetBuildingPartList)
	HouseAddition:registerAsset({
		DataType = "BUILDING",
		Id = _HomePrefix .. "_" .. _suffix,
		Name = _HomePrefix .. "_" .. _suffix .. "_NAME",
		Description = _HomePrefix .. "_" .. _suffix .. "_DESC",
		BuildingType = BUILDING_TYPE.MONUMENT,
		AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
		AssetBuildingPartList = _assetBuildingPartList,
		RequiredPartList = {
			-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
			{ Category = "CORE", Min = 1 },
		},
		IsManuallyUnlocked = false,
		IsDestructible = true,
		IsEditable = false,
		IsClearTrees = true,
	})
end
registerSubBuilding("HOUSE_LVL1",
                    {
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME2_PART",
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME3_PART",
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME4_PART",
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME5_PART",
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME6_PART",
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME11_PART",
		            _HomePrefix .. "_PLACEABLE_LVL1_HOME7_PART",
                    }
)
registerSubBuilding("HOUSE_LVL2",
                     {
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME2_PART",
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME3_PART",
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME4_PART",
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME5_PART",
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME6_PART",
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME11_PART",
		            _HomePrefix .. "_PLACEABLE_LVL2_HOME7_PART",
                    }
)

HouseAddition:registerAsset({
    Id = _HomePrefix .. "_MONUMENT",
    Name = _HomePrefix .. "_MONUMENT_NAME",
    Description = _HomePrefix .. "_MONUMENT_DESC",
    BuildingType = "MODS",
    DataType = "BUILDING",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    SubAssetBuildingList = {
		_HomePrefix .. "_HOUSE_LVL1",
		_HomePrefix .. "_HOUSE_LVL2",
    },
    AssetBuildingPartList = {},
    RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
    },
    IsEditable = true
})


HouseAddition:registerAsset({
	DataType = "UNLOCKABLE",
	Id = _HomePrefix .. "_UNLOCKABLE",
	Name = _HomePrefix .. "_UNLOCKABLE_NAME",
	Description = _HomePrefix .. "_UNLOCKABLE_DESC",
	DataCost = {
		DataInfluenceCostList = {},
		ResourceCollection = {
			{ Resource = "GOLD_COINS", Quantity = 0 },
		}
	},
	PrerequisiteUnlockableList = {},
	ActionList = {
		{
			DataType = "GAME_ACTION_UNLOCK_BUILDING_LIST",
			BuildingProgressData = {
				AssetBuildingList = {
					_HomePrefix .. "_MONUMENT",
				},
			},
		},
	},
})

-- Override default common progress tiers
HouseAddition:overrideAsset({
	Id = "PROGRESS_TIER_COMMON_T1",
	UnlockableList = {
		Action = "APPEND",
		_HomePrefix .."_UNLOCKABLE",
	},
})